## org.apache.catalina.startup
Class ExpandWar

    java.lang.Object
      org.apache.catalina.startup.ExpandWar

public class ExpandWar
extends java.lang.Object

Expand out a WAR in a Host's appBase.

Version:
  $Revision: 1.3 $
Author:
  Craig R. McClanahan, Remy Maucherat, Glenn L. Nielsen

Field Summary
`protected static StringManager` `sm` The string resources for this package.

Constructor Summary
`ExpandWar()`

Method Summary
`static java.lang.String` `expand(Host host, java.net.URL war)` Expand the WAR file found at the specified URL into an unpacked directory structure, and return the absolute pathname to the expanded directory.
`static java.lang.String` `expand(Host host, java.net.URL war, java.lang.String pathname)` Expand the WAR file found at the specified URL into an unpacked directory structure, and return the absolute pathname to the expanded directory.
`protected static void` `expand(java.io.InputStream input, java.io.File docBase, java.lang.String name)` Expand the specified input stream into the specified directory, creating a file named from the specified relative path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected static final StringManager sm

  The string resources for this package.

Constructor Detail

### ExpandWar

    public ExpandWar()

Method Detail

### expand

    public static java.lang.String expand(Host host,
                                          java.net.URL war)
                                   throws java.io.IOException

  Expand the WAR file found at the specified URL into an unpacked directory structure, and return the absolute pathname to the expanded directory.

  Parameters:
    `host` - Host war is being installed for
    `war` - URL of the web application archive to be expanded (must start with "jar:")
  Throws:
    `java.lang.IllegalArgumentException` - if this is not a "jar:" URL
    `java.io.IOException` - if an input/output error was encountered during expansion

### expand

    public static java.lang.String expand(Host host,
                                          java.net.URL war,
                                          java.lang.String pathname)
                                   throws java.io.IOException

  Expand the WAR file found at the specified URL into an unpacked directory structure, and return the absolute pathname to the expanded directory.

  Parameters:
    `host` - Host war is being installed for
    `war` - URL of the web application archive to be expanded (must start with "jar:")
    `pathname` - Context path name for web application
  Throws:
    `java.lang.IllegalArgumentException` - if this is not a "jar:" URL
    `java.io.IOException` - if an input/output error was encountered during expansion

### expand

    protected static void expand(java.io.InputStream input,
                                 java.io.File docBase,
                                 java.lang.String name)
                          throws java.io.IOException

  Expand the specified input stream into the specified directory, creating a file named from the specified relative path.

  Parameters:
    `input` - InputStream to be copied
    `docBase` - Document base directory into which we are expanding
    `name` - Relative pathname of the file to be created
  Throws:
    `java.io.IOException` - if an input/output error occurs

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.